{%extends "base.html"%}

{%block title%} Register {%endblock%}


{%block content%}
<h1 class = "text-center my-3">Registration Form</h1>
	<div class = "container">
		<div = class="row">
			<div class = "col-6 offset-3">

				{% if is_user_registered == True %}
					<p class = 'text-center text-danger my-2'>Ooops! This username is already taken. Please try another username.</p>
				{% endif %}

				{% if successful == True %}
					<p class = 'text-center text-success my-2'>Congratulations {{first_name}}! Your account has been succesfully created.</p>
				{% endif %}


				<form action = "{% url 'todolist:register' %}" method = "POST">
					<!-- This template tag provides protection against Cross Site Request Forgeries (CSRF) -->
					<!-- CSRF occurs when a malicious website contains link, a from button or some javascript that is intended to perform some action in our website -->
					{% csrf_token %}
				  <div class="mb-3">
				    <label for="username" class="form-label">Username:</label>
				    <input 
				    	type="text" 
				    	class="form-control" 
				    	id="username" 
				    	value = "{{ username }}"
				    	name = "username"
				    	maxlength = "20"
				    	required 
				    	>
				  </div>

				  <div class="mb-3">
				    <label for="first_name" class="form-label">First Name:</label>
				    <input 
				    	type="text" 
				    	class="form-control" 
				    	id="first_name" 
				    	value = "{{ first_name }}"
				    	name = "first_name"
				    	maxlength = "20"
				    	required 
				    	>
				  </div>

				   <div class="mb-3">
				    <label for="last_name" class="form-label">Last Name:</label>
				    <input 
				    	type="text" 
				    	class="form-control" 
				    	id="last_name" 
				    	value = "{{ last_name }}"
				    	name = "last_name"
				    	maxlength = "20"
				    	required 
				    	>
				  </div>

				  <div class="mb-3">
				    <label for="email" class="form-label">Email:</label>
				    <input 
				    	type="text" 
				    	class="form-control" 
				    	id="email" 
				    	value = "{{ email }}"
				    	name = "email"
				    	maxlength = "20"
				    	required 
				    	>
				  </div>

				  <div class="mb-3">
				    <label for="password" class="form-label">Password:</label>
				    <input 
				    	type="password" 
				    	class="form-control" 
				    	id="password"
				    	name = "password"
				    	value = "{{ password }}"
				    	maxlength="20" 
				    	required
				    	>
				  </div>

				  <div class="mb-3">
				    <label for="check_password" class="form-label">Confirm Password:</label>
				    <input 
				    	type="check_password" 
				    	class="form-control" 
				    	id="check_password"
				    	name = "check_password"
				    	value = "{{ check_password }}"
				    	maxlength="20" 
				    	required
				    	>
				  </div>

				  <div class="text-center">
				  	<button type="submit" class="btn btn-success">Register</button>
				  </div>
				  
				</form>
				
			</div>	
		</div>
	</div>


{%endblock%}




<!-- {% if is_user_registered == False %}
	<h1>User Succesfully Created!</h1>
	<p>The account for {{first_name}} {{last_name}} has been succesfully created! </p>

{% else %}
	<h1>Duplicate User Found!</h1>
	<p>A duplicate user has been found, user creation unsuccessful</p>

{% endif %}
 -->










